MCP Gateway
ApiSkills

Get skill

Get detailed information about a specific skill including SKILL.md content.

GET
/api/v1/skills/{skill_id}

Path Parameters

skill_id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/skills/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": "string",
  "source_type": "imported",
  "source_url": "string",
  "mcp_server_id": "e10a714a-6b0a-499f-b13f-db958c6ad8c0",
  "mcp_server_name": "string",
  "skill_metadata": {},
  "package_size_bytes": 0,
  "portal_visible": false,
  "portal_category": "string",
  "portal_tags": [
    "string"
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "skill_md_content": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}